Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5490 - Unable to Boot into dos label after upgrade from RH6.0 to RH6.1
Summary: Unable to Boot into dos label after upgrade from RH6.0 to RH6.1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-04 16:09 UTC by jlarsen
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-23 16:56:47 UTC


Attachments (Terms of Use)

Description jlarsen 1999-10-04 16:09:53 UTC
After upgrading from Red Hat Linux 6.0 to 6.1, the "dos"
label in lilo.conf would not boot if selected.  Upon
comparing the lilo.conf file placed in /etc by the upgrade
with a the lilo.conf on another machine which was similarly
configured, I pulled the following entries out and placed
them in the upgraded lilo.conf, re-ran /sbin/lilo and
corrected the problem:

other=/dev/hdb1         # existing entry
	label=dos       # existing entry
	table=/dev/hdb  # added
	map-drive=0x80  # added
	   to = 0x81    # added
	map-drive=0x81  # added
	   to = 0x80    # added

The problem with lilo.conf has occured on three machines
upgraded from RH6.0 to RH6.1.

Users upgrading from 6 to 6.1 may be frustrated if they need
to operate in a dual-boot system.

Yours truly,
Jon L.
jlarsen@cas-online.com

Comment 1 Cristian Gafton 2000-01-04 22:27:59 UTC
Assigned to dledford

Comment 2 Bernhard Rosenkraenzer 2000-02-16 15:00:59 UTC
Reassigned - the installer messes up lilo.conf during updates, not lilo itself.

Comment 3 Jay Turner 2000-02-23 16:56:59 UTC
Fixed in current beta of installer


Note You need to log in before you can comment on or make changes to this bug.